<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: VrpnObject.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vrpn_object_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">VrpnObject.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vrpn_object_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef VRPNOBJECT_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define VRPNOBJECT_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>cvmatrix;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>Vector3D;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="keyword">class </span>Euler;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    }</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keyword">class </span>DataPlot1D;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    }</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">class </span>VrpnObject_impl;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">class </span>VrpnClient_impl;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;{</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">class </span>VrpnClient;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_vrpn_object.html">   45</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html">VrpnObject</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    {</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keyword">friend</span> class ::VrpnObject_impl;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">friend</span> class ::VrpnClient_impl;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#acf3c2177a33af6aee1fa12d6d1cf9cce">VrpnObject</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1sensor_1_1_vrpn_client.html">VrpnClient</a> *parent,std::string name,<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a>* tab);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#acf3c2177a33af6aee1fa12d6d1cf9cce">VrpnObject</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1sensor_1_1_vrpn_client.html">VrpnClient</a> *parent,std::string name,uint8_t <span class="keywordtype">id</span>,<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a>* tab);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a6acf8f1e294bfd00c15ffc2966001b66">~VrpnObject</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a>* <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a62d0f23781e77adf59023dccbc7bacbc">GetPlotTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a8ff4ec684a809b5c41a35f3830048de1">GetLastPacketTime</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a6c48f91a4a9f4fc39b4c33f63e8d5c6d">IsTracked</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> timeout_ms) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a7c5dfeca21237b2af7909f5057158332">GetEuler</a>(<a class="code" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;euler) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a7c40929f15fcc62de8cb6c548df95576">GetQuaternion</a>(<a class="code" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> &amp;quaternion) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#aec741518a11ed13df013210df3bddec2">GetPosition</a>(<a class="code" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> &amp;point) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *<a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#ae1e97c9cc96180856d3d059294d57894">Output</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *<a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#ac74e9be5afaf943227d13e13420999fa">State</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#ad862258b8d2526dc4a4e234063861e8d">xPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a08383eadbc8be841565ec7a3db4abb65">yPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* <a class="code" href="classframework_1_1sensor_1_1_vrpn_object.html#a66a0560ee926fbb50fe5c7904a4c4803">zPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;            <span class="keywordtype">void</span> mainloop(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;            <span class="keyword">class </span>VrpnObject_impl* pimpl_;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    };</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;<span class="preprocessor">#endif // VRPNOBJECT_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1cvmatrix_html"><div class="ttname"><a href="classframework_1_1core_1_1cvmatrix.html">framework::core::cvmatrix</a></div><div class="ttdoc">Class defining a matrix of kind CvMat. </div><div class="ttdef"><b>Definition:</b> cvmatrix.h:28</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_ae1e97c9cc96180856d3d059294d57894"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#ae1e97c9cc96180856d3d059294d57894">framework::sensor::VrpnObject::Output</a></div><div class="ttdeci">core::cvmatrix * Output(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:20</div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a6acf8f1e294bfd00c15ffc2966001b66"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a6acf8f1e294bfd00c15ffc2966001b66">framework::sensor::VrpnObject::~VrpnObject</a></div><div class="ttdeci">~VrpnObject(void)</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a6c48f91a4a9f4fc39b4c33f63e8d5c6d"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a6c48f91a4a9f4fc39b4c33f63e8d5c6d">framework::sensor::VrpnObject::IsTracked</a></div><div class="ttdeci">bool IsTracked(unsigned int timeout_ms) const </div><div class="ttdoc">Is object tracked? </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a7c5dfeca21237b2af7909f5057158332"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a7c5dfeca21237b2af7909f5057158332">framework::sensor::VrpnObject::GetEuler</a></div><div class="ttdeci">void GetEuler(core::Euler &amp;euler) const </div><div class="ttdoc">Get Euler angles. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_aec741518a11ed13df013210df3bddec2"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#aec741518a11ed13df013210df3bddec2">framework::sensor::VrpnObject::GetPosition</a></div><div class="ttdeci">void GetPosition(core::Vector3D &amp;point) const </div><div class="ttdoc">Get Position. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_acf3c2177a33af6aee1fa12d6d1cf9cce"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#acf3c2177a33af6aee1fa12d6d1cf9cce">framework::sensor::VrpnObject::VrpnObject</a></div><div class="ttdeci">VrpnObject(const VrpnClient *parent, std::string name, const gui::TabWidget *tab)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot1_d_html"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot1_d.html">framework::gui::DataPlot1D</a></div><div class="ttdoc">Class displaying a 1D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot1D.h:32</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a08383eadbc8be841565ec7a3db4abb65"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a08383eadbc8be841565ec7a3db4abb65">framework::sensor::VrpnObject::yPlot</a></div><div class="ttdeci">gui::DataPlot1D * yPlot(void) const </div><div class="ttdoc">y plot </div></div>
<div class="ttc" id="classframework_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></div><div class="ttdoc">Class defining a 3D vector. </div><div class="ttdef"><b>Definition:</b> Vector3D.h:23</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a8ff4ec684a809b5c41a35f3830048de1"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a8ff4ec684a809b5c41a35f3830048de1">framework::sensor::VrpnObject::GetLastPacketTime</a></div><div class="ttdeci">core::Time GetLastPacketTime(void) const </div><div class="ttdoc">Get Last Packet Time. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab_widget.html">framework::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:27</div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html">framework::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:22</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab.html">framework::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:27</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html">framework::sensor::VrpnObject</a></div><div class="ttdoc">Class for VRPN object. </div><div class="ttdef"><b>Definition:</b> VrpnObject.h:45</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_client_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_client.html">framework::sensor::VrpnClient</a></div><div class="ttdoc">Class to connect to a Vrpn server. </div><div class="ttdef"><b>Definition:</b> VrpnClient.h:39</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a62d0f23781e77adf59023dccbc7bacbc"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a62d0f23781e77adf59023dccbc7bacbc">framework::sensor::VrpnObject::GetPlotTab</a></div><div class="ttdeci">gui::Tab * GetPlotTab(void) const </div><div class="ttdoc">Plot tab. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a66a0560ee926fbb50fe5c7904a4c4803"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a66a0560ee926fbb50fe5c7904a4c4803">framework::sensor::VrpnObject::zPlot</a></div><div class="ttdeci">gui::DataPlot1D * zPlot(void) const </div><div class="ttdoc">z plot </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_a7c40929f15fcc62de8cb6c548df95576"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#a7c40929f15fcc62de8cb6c548df95576">framework::sensor::VrpnObject::GetQuaternion</a></div><div class="ttdeci">void GetQuaternion(core::Quaternion &amp;quaternion) const </div><div class="ttdoc">Get Quaternion. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_ac74e9be5afaf943227d13e13420999fa"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#ac74e9be5afaf943227d13e13420999fa">framework::sensor::VrpnObject::State</a></div><div class="ttdeci">core::cvmatrix * State(void) const </div><div class="ttdoc">State matrix. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_object_html_ad862258b8d2526dc4a4e234063861e8d"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_object.html#ad862258b8d2526dc4a4e234063861e8d">framework::sensor::VrpnObject::xPlot</a></div><div class="ttdeci">gui::DataPlot1D * xPlot(void) const </div><div class="ttdoc">x plot </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_vrpn_object_8h.html">VrpnObject.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
